|  | Home · All Classes · Modules

# Qt.WindowFlags Class Reference
[QtCore module]

### Methods

- __init__ (self, WindowFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- WindowFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, WindowFlags f)
- WindowFlags __iand__ (self, int mask)
- int __int__ (self)
- WindowFlags __invert__ (self)
- WindowFlags __ior__ (self, WindowFlags f)
- WindowFlags __ixor__ (self, WindowFlags f)
- bool __ne__ (self, WindowFlags f)
- WindowFlags __or__ (self, WindowFlags f)
- WindowFlags __or__ (self, int f)
- WindowFlags __xor__ (self, WindowFlags f)
- WindowFlags __xor__ (self, int f)

## Detailed Description

## Method Documentation

### WindowFlags.__init__ (self, WindowFlags)

### WindowFlags.__init__ (self, int)

### WindowFlags.__init__ (self)

### WindowFlags WindowFlags.__and__ (self, int mask)

### int WindowFlags.__bool__ (self)

### bool WindowFlags.__eq__ (self, WindowFlags f)

### WindowFlags WindowFlags.__iand__ (self, int mask)

### int WindowFlags.__int__ (self)

### WindowFlags WindowFlags.__invert__ (self)

### WindowFlags WindowFlags.__ior__ (self, WindowFlags f)

### WindowFlags WindowFlags.__ixor__ (self, WindowFlags f)

### bool WindowFlags.__ne__ (self, WindowFlags f)

### WindowFlags WindowFlags.__or__ (self, WindowFlags f)

### WindowFlags WindowFlags.__or__ (self, int f)

### WindowFlags WindowFlags.__xor__ (self, WindowFlags f)

### WindowFlags WindowFlags.__xor__ (self, int f)